## Mastering PostgreSQL 13 - Fourth Edition

<a href="https://www.packtpub.com/product/mastering-postgresql-13-fourth-edition/9781800567498?utm_source=github&utm_medium=repository&utm_campaign=9781800567498"><img src="https://static.packt-cdn.com/products/9781800567498/cover/smaller" alt="Mastering PostgreSQL 13" height="256px" align="right"></a>

This is the code repository for [Mastering PostgreSQL 13 - Fourth Edition](https://www.packtpub.com/product/mastering-postgresql-13-fourth-edition/9781800567498?utm_source=github&utm_medium=repository&utm_campaign=9781800567498), published by Packt.

**Build, administer, and maintain database applications efficiently with PostgreSQL 13**

## What is this book about?
Updated to include the new features introduced in PostgreSQL 13, this book shows you how to build better PostgreSQL applications and administer your PostgreSQL database efficiently. You’ll master the advanced features of PostgreSQL and develop the skills you need to build secure and highly available database solutions.

Starting with an introduction to the new features in PostgreSQL 13, this book will guide you in building efficient and fault-tolerant PostgreSQL apps. You’ll explore advanced PostgreSQL features, such as logical replication, database clusters, performance tuning, advanced indexing, monitoring, and user management, to manage and maintain your database. You’ll then work with the PostgreSQL optimizer, configure PostgreSQL for high speed, and move from Oracle to PostgreSQL. The book also covers transactions, locking, and indexes, and shows you how to improve performance with query optimization. You’ll also focus on how to manage network security and work with backups and replication while exploring useful PostgreSQL extensions that optimize the performance of large databases.

By the end of this PostgreSQL book, you’ll be able to get the most out of your database by executing advanced administrative tasks.

This book covers the following exciting features: 
* Get well versed with advanced SQL functions in PostgreSQL 13
* Get to grips with administrative tasks such as log file management and monitoring
* Work with stored procedures and manage backup and recovery
* Employ replication and failover techniques to reduce data loss
* Perform database migration from Oracle to PostgreSQL with ease
* Replicate PostgreSQL database systems to create backups and scale your database
* Manage and improve server security to protect your data
* Troubleshoot your PostgreSQL instance to find solutions to common and not-so-common problems

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/B08LLC9M6V) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" alt="https://www.packtpub.com/" border="5" /></a>

## Instructions and Navigations

The code will look like the following:
```
test=# \h COMMIT
Command: COMMIT
Description: commit the current transaction
Syntax:
COMMIT [ WORK | TRANSACTION ] [ AND [ NO ] CHAIN ]

URL: https://www.postgresql.org/docs/13/sql-commit.html

```

**Following is what you need for this book:**
This database administration book is for PostgreSQL developers and database administrators and professionals who want to implement advanced functionalities and master complex administrative tasks with PostgreSQL 13. Prior experience in PostgreSQL and familiarity with the basics of database administration will assist with understanding key concepts covered in the book.	

With the following software and hardware list you can run all codes present in the book (Chapter 1-13).

### Software and Hardware List

| Chapter  | Software required                                                                    | OS required                        |
| -------- | -------------------------------------------------------------------------------------| -----------------------------------|
| 1 - 13   |   PostgreSQL 13                                                						          | Windows, Mac OS X, and Linux (Any) |

### Related products <Other books you may enjoy>
* Learn PostgreSQL [[Packt]](https://www.packtpub.com/product/learn-postgresql/9781838985288) [[Amazon]](https://www.amazon.com/dp/183898528X)

* PostgreSQL 12 High Availability Cookbook - Third Edition [[Packt]](https://www.packtpub.com/product/postgresql-12-high-availability-cookbook-third-edition/9781838984854) [[Amazon]](https://www.amazon.com/dp/B084WX4XH1)

## Get to Know the Author
**Hans-Jürgen Schönig**
 has 18 years' experience with PostgreSQL. He is the CEO of a PostgreSQL consulting and support company called Cybertec PostgreSQL International GmbH. It has successfully served countless customers around the globe. Before founding Cybertec PostgreSQL International GmbH in 2000, he worked as a database developer at a private research company that focused on the Austrian labor market, where he primarily worked on data mining and forecast models. He has also written several books about PostgreSQL.


